/******************************************************************************
*                                                  
*  (c) copyright Freescale Semiconductor 2008
*  ALL RIGHTS RESERVED
*
*  File Name: Redirect_Vectors_S08.C
*                                                                          
*  Purpose: This file redirects the interrupt vectors from protected flash in 
*           the bootloader, to unprotected flash in the application
*                                                                          
*  Assembler:  Codewarrior for Microcontrollers V6.2
*                                            
*  Version:  1.0
*                                                                          
*                                                                          
*  Author: Derek Snell                             
*                                                                                       
*  Location: Indianapolis, IN. USA                                            
*                                                                                  
* UPDATED HISTORY:
*
* REV   YYYY.MM.DD  AUTHOR        DESCRIPTION OF CHANGE
* ---   ----------  ------        --------------------- 
* 1.0   2008.06.10  Derek Snell   Initial version
* 
*
******************************************************************************/                                                                        
/* Freescale  is  not  obligated  to  provide  any  support, upgrades or new */
/* releases  of  the Software. Freescale may make changes to the Software at */
/* any time, without any obligation to notify or provide updated versions of */
/* the  Software  to you. Freescale expressly disclaims any warranty for the */
/* Software.  The  Software is provided as is, without warranty of any kind, */
/* either  express  or  implied,  including, without limitation, the implied */
/* warranties  of  merchantability,  fitness  for  a  particular purpose, or */
/* non-infringement.  You  assume  the entire risk arising out of the use or */
/* performance of the Software, or any systems you design using the software */
/* (if  any).  Nothing  may  be construed as a warranty or representation by */
/* Freescale  that  the  Software  or  any derivative work developed with or */
/* incorporating  the  Software  will  be  free  from  infringement  of  the */
/* intellectual property rights of third parties. In no event will Freescale */
/* be  liable,  whether in contract, tort, or otherwise, for any incidental, */
/* special,  indirect, consequential or punitive damages, including, but not */
/* limited  to,  damages  for  any loss of use, loss of time, inconvenience, */
/* commercial loss, or lost profits, savings, or revenues to the full extent */
/* such  may be disclaimed by law. The Software is not fault tolerant and is */
/* not  designed,  manufactured  or  intended by Freescale for incorporation */
/* into  products intended for use or resale in on-line control equipment in */
/* hazardous, dangerous to life or potentially life-threatening environments */
/* requiring  fail-safe  performance,  such  as  in the operation of nuclear */
/* facilities,  aircraft  navigation  or  communication systems, air traffic */
/* control,  direct  life  support machines or weapons systems, in which the */
/* failure  of  products  could  lead  directly to death, personal injury or */
/* severe  physical  or  environmental  damage  (High  Risk Activities). You */
/* specifically  represent and warrant that you will not use the Software or */
/* any  derivative  work of the Software for High Risk Activities.           */
/* Freescale  and the Freescale logos are registered trademarks of Freescale */
/* Semiconductor Inc.                                                        */ 
/*****************************************************************************/

#include "Bootloader_S08.h"

    // Bootloader Redirected Interrupt Vectors
    const unsigned int BootIntVectors[InterruptVectorsNum]@BootVectorTableAddress = {
        VectorAddressTableAddress,
        VectorAddressTableAddress+3,
        VectorAddressTableAddress+6,
        VectorAddressTableAddress+9,
        VectorAddressTableAddress+12,
        VectorAddressTableAddress+15,
        VectorAddressTableAddress+18,
        VectorAddressTableAddress+21,
        VectorAddressTableAddress+24,
        VectorAddressTableAddress+27,
        VectorAddressTableAddress+30,
        VectorAddressTableAddress+33,
        VectorAddressTableAddress+36,
        VectorAddressTableAddress+39,
        VectorAddressTableAddress+42,
        VectorAddressTableAddress+45,
        VectorAddressTableAddress+48,
        VectorAddressTableAddress+51,
        VectorAddressTableAddress+54,
        VectorAddressTableAddress+57,
        VectorAddressTableAddress+60,
        VectorAddressTableAddress+63,
        VectorAddressTableAddress+66,
        VectorAddressTableAddress+69,
        VectorAddressTableAddress+72,
        VectorAddressTableAddress+75,
        VectorAddressTableAddress+78,
        VectorAddressTableAddress+81,
        VectorAddressTableAddress+84,
    };
